# Unit drivermanagement

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

`DriverManagement` - Driver Initialization & Management Interface.

## Uses

- console
- util
- strings
- lmemorymanager
- terminal
- tracer

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Record `TDevEx` |
Record `TDeviceIdentifier` |
Record `TDriverRegistration` |
Record `TDeviceRegistration` |

### Functions and Procedures

`procedure init;`
`procedure register_driver(Driver_Name : PChar; DeviceID : PDeviceIdentifier; Load_Callback : TDriverLoadCallback);`
`procedure register_driver_ex(Driver_Name : PChar; DeviceID : PDeviceIdentifier; Load_Callback : TDriverLoadCallback; force_load : boolean);`
`procedure register_device(Device_Name : PChar; DeviceID : PDeviceIdentifier; ptr : void);`

### Types

`PDevEx = ˆTDevEx;`
`TBusIdentifier = (...);`
`PDeviceIdentifier = ˆTDeviceIdentifier;`
`TDriverLoadCallback = function(ptr : void) : boolean;`
`PDriverRegistration = ˆTDriverRegistration;`
`PDeviceRegistration = ˆTDeviceRegistration;`

### Constants

`idANY = $FFFFFFFF;`

### Variables

`Root: PDriverRegistration = nil;`
`Dev: PDeviceRegistration = nil;`

## Description

### Functions and Procedures

`procedure init;`

`procedure register_driver(Driver_Name : PChar; DeviceID : PDeviceIdentifier; Load_Callback : TDriverLoadCallback);`

`procedure register_driver_ex(Driver_Name : PChar; DeviceID : PDeviceIdentifier; Load_Callback : TDriverLoadCallback; force_load : boolean);`

`procedure register_device(Device_Name : PChar; DeviceID : PDeviceIdentifier; ptr : void);`

### Types

`PDevEx = ˆTDevEx;`

`TBusIdentifier = (...);`

###### Values

- biUnknown
- biPCI
- biUSB
- bii2c
- biPCIe
- biANY

`PDeviceIdentifier = ˆTDeviceIdentifier;`

`TDriverLoadCallback = function(ptr : void) : boolean;`

`PDriverRegistration = ˆTDriverRegistration;`

`PDeviceRegistration = ˆTDeviceRegistration;`

### Constants

`idANY = $FFFFFFFF;`

### Variables

`Root: PDriverRegistration = nil;`

`Dev: PDeviceRegistration = nil;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.